# class Chef::Provider::Batch

### Public Class Methods

new(new_resource, run_context) click to toggle source
Calls superclass method Chef::Provider::WindowsScript.new

    # File lib/chef/provider/batch.rb, line 25
    def initialize (new_resource, run_context)
      super(new_resource, run_context, '.bat')
    end

### Public Instance Methods

flags() click to toggle source

    # File lib/chef/provider/batch.rb, line 29
    def flags
      @new_resource.flags.nil? ? '/c' : new_resource.flags + ' /c'
    end